## python-renishawwire 0.1.16

=== Makefile ===
EX_DIR=examples
SCR_DIR=renishawWiRE
EX_PYS:=$(wildcard $(EX_DIR)/ex*.py)
PKG_PYS:=$(wildcard $(SCR_DIR)/*.py)
DOWN_DONE=.downloaded
PIP_DONE=.piped

.PHONY: examples download $(EX_PYS) pip

pip: $(PIP_DONE)

$(PIP_DONE): setup.py $(PKG_PYS)
	pip install --upgrade ".[plot]"
	@touch $@

download: $(DOWN_DONE)

$(DOWN_DONE): $(EX_DIR)/spectra_files
	curl -LO https://github.com/alchem0x2A/py-wdf-reader/releases/download/binary/spectra_files.zip
	unzip -o spectra_files.zip -d examples/
	rm spectra_files.zip
	touch $@

examples: download pip $(EX_PYS)

$(EX_PYS):
	cd $(EX_DIR) &&\
	python $(shell basename $@)

=== debian/changelog ===
python-renishawwire (0.1.16-4) unstable; urgency=medium

  * Team upload.
  * Add build-dep on python3-setuptools (Closes: #1100284)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 15 Mar 2025 01:23:21 +0100

python-renishawwire (0.1.16-3) unstable; urgency=medium

  * Team upload.
  * Add Vcs-Browser & Vcs-Git tags.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 07 Feb 2025 16:45:16 +0100

python-renishawwire (0.1.16-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Wed, 13 Nov 2024 22:44:19 +0100

python-renishawwire (0.1.16-1) unstable; urgency=low

  * Initial packaging.

 -- Roland Mas <lolando@debian.org>  Tue, 22 Oct 2024 14:04:35 +0200

=== debian/control ===
Source: python-renishawwire
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>,
 Roland Mas <lolando@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-numpy,
 python3-setuptools,
 help2man,
Standards-Version: 4.7.0
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/alchem0x2A/py-wdf-reader/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-renishawwire
Vcs-Git: https://salsa.debian.org/python-team/packages/python-renishawwire.git

Package: python3-renishawwire
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Renishaw Raman spectroscopy parser in python
 A python wrapper for read-only accessing the wdf Raman spectroscopy
 file format created by the WiRE software of Renishaw Inc.  Renishaw
 Inc owns copyright of the wdf file format.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=renishawWIRE
PYVERS=$(shell py3versions -dv)
PYPATH=.pybuild/cpython3_$(PYVERS)_$(PYBUILD_NAME)/build

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=$(PYPATH) help2man --output=wdf-export.1 --version-string=$$(dpkg-parsechangelog -S Version | sed -e s/-[^-]*$$// -e s/[+].*//) --no-discard-stderr --no-info --name=wdf-export .pybuild/cpython3_$(PYVERS)_$(PYBUILD_NAME)/scripts/wdf-export

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.]*@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/alchem0x2A/py-wdf-reader/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
